package com.tmerclub.cloud.common.order.bo;

/**
 * @author gaozijie
 * @date 2023-08-28
 */
public class PurchaseAmountLogBO {

    /**
     * 采购订单编号
     */
    private Long purchaseOrderId;

    /**
     * 商家id
     */
    private Long shopId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 变动金额
     */
    private Long changeAmount;

    /**
     * 采购金额类型
     * @see com.tmerclub.cloud.common.constant.PurchaseAmountType
     */
    private Integer purchaseAmountType;

    /**
     * 采购总金额
     */
    private Long purchaseTotalAmount;

    /**
     * 商品数量
     */
    private Integer prodCount;

    public PurchaseAmountLogBO() {
    }

    public Long getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(Long purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(Long changeAmount) {
        this.changeAmount = changeAmount;
    }

    public Integer getPurchaseAmountType() {
        return purchaseAmountType;
    }

    public void setPurchaseAmountType(Integer purchaseAmountType) {
        this.purchaseAmountType = purchaseAmountType;
    }

    public Long getPurchaseTotalAmount() {
        return purchaseTotalAmount;
    }

    public void setPurchaseTotalAmount(Long purchaseTotalAmount) {
        this.purchaseTotalAmount = purchaseTotalAmount;
    }

    public Integer getProdCount() {
        return prodCount;
    }

    public void setProdCount(Integer prodCount) {
        this.prodCount = prodCount;
    }

    @Override
    public String toString() {
        return "PurchaseLogBO{" +
                "purchaseOrderId=" + purchaseOrderId +
                ", shopId=" + shopId +
                ", supplierId=" + supplierId +
                ", changeAmount=" + changeAmount +
                ", purchaseAmountType=" + purchaseAmountType +
                ", purchaseTotalAmount=" + purchaseTotalAmount +
                ", prodCount=" + prodCount +
                '}';
    }
}
